Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class Category

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.Category

All Implemented Interfaces:
  Serializable

public class Category
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`Category()`
`Category(String id, String parentId)`

Method Summary
`boolean` | `equals(Object obj)`
`List` | `getCardList()`
`List` | `getChildList()`
`String` | `getIcon()`
`String` | `getId()`
`int` | `getIdx()`
`String` | `getParentId()`
`String` | `getSelectedIcon()`
`String` | `getType()`
`int` | `hashCode()`
`boolean` | `isPreDefined()`
`void` | `setCardList(List cardList)`
`void` | `setChildList(List childList)`
`void` | `setIcon(String icon)`
`void` | `setId(String id)`
`void` | `setIdx(int idx)`
`void` | `setParentId(String parentId)`
`void` | `setPreDefined(boolean preDefined)`
`void` | `setSelectedIcon(String selectedIcon)`
`void` | `setType(String type)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Category

    public Category()

### Category

    public Category(String id,
                    String parentId)

Parameters:
  `id` -
  `parentId` -

Method Detail

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getCardList

    public List getCardList()

  Returns:
    the cardList

### getChildList

    public List getChildList()

  Returns:
    the childList

### getIcon

    public String getIcon()

  Returns:
    the icon

### getId

    public String getId()

  Returns:
    the id

### getParentId

    public String getParentId()

  Returns:
    the parentId

### getSelectedIcon

    public String getSelectedIcon()

  Returns:
    the selectedIcon

### setCardList

    public void setCardList(List cardList)

  Parameters:
    `cardList` - the cardList to set

### setChildList

    public void setChildList(List childList)

  Parameters:
    `childList` - the childList to set

### setIcon

    public void setIcon(String icon)

  Parameters:
    `icon` - the icon to set

### setId

    public void setId(String id)

  Parameters:
    `id` - the id to set

### setParentId

    public void setParentId(String parentId)

  Parameters:
    `parentId` - the parentId to set

### setSelectedIcon

    public void setSelectedIcon(String selectedIcon)

  Parameters:
    `selectedIcon` - the selectedIcon to set

### isPreDefined

    public boolean isPreDefined()

  Returns:
    the preDefined

### setPreDefined

    public void setPreDefined(boolean preDefined)

  Parameters:
    `preDefined` - the preDefined to set

### getIdx

    public int getIdx()

  Returns:
    the idx

### setIdx

    public void setIdx(int idx)

  Parameters:
    `idx` - the idx to set

### setType

    public void setType(String type)

### getType

    public String getType()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD